<template>
	<div class="container">
		<SeasonSelect :update="updateSeason" />
		<Menu :update="updateView" />
		<transition name="slide-fade" mode="out-in">
			<Teams
				v-if="json[currentSeason] && currentView === 0"
				:teams="json[currentSeason].teams"
			/>
			<Games
				v-if="json[currentSeason] && currentView === 1"
				:games="json[currentSeason].games"
			/>
			<Points
				v-if="json[currentSeason] && currentView === 2"
				:games="json[currentSeason].games"
				:teams="json[currentSeason].teams"
			/>
			<div v-else class="center">
				<p>Leider gibts hier nichts.</p>
			</div>
		</transition>

		<h1>BastiBattle</h1>
		<div class="wolves">
			<nuxt-link to="/Help">Seite verbessern</nuxt-link>
			<a href="https://www.wolves.ink">Website by Wolves</a>
		</div>
	</div>
</template>
<script>
import Menu from "../components/Menu";
import SeasonSelect from "../components/SeasonSelect";
import Teams from "../components/Teams";
import Games from "../components/Games";
import Points from "../components/Points";
import json from "./../static/data.json";

export default {
	name: "Homepage",
	data() {
		return {
			currentSeason: 0,
			currentView: 0,
			json: json
		};
	},
	components: {
		Menu,
		SeasonSelect,
		Teams,
		Games,
		Points
	},
	methods: {
		updateSeason(i) {
			this.currentSeason = i;
		},
		updateView(view) {
			this.currentView = view;
		}
	}
};
</script>

<style lang="scss">
@font-face {
	font-family: "Summer Hearts";
	src: url("../assets/SummerHearts-Regular.woff2") format("woff2"),
		url("../assets/SummerHearts-Regular.woff") format("woff");
	font-weight: normal;
	font-style: normal;
}

body {
	overflow: hidden;
}

.container {
	margin: 0 auto;
	min-height: 100vh;
	max-height: 100vh;
	overflow: hidden;
	display: flex;
}

h1 {
	position: absolute;
	left: 60px;
	bottom: -80px;
	font-family: "Summer Hearts";
	font-size: 258px;
	color: #282828;
	z-index: 1;
	@media (max-width: 1000px) {
		bottom: -40px;
		font-size: 128px;
	}
}

.wolves {
	position: absolute;
	right: 60px;
	bottom: 20px;
	a {
		display: block;
		font-size: 12px;
		font-weight: bold;
		color: #3a3d45;
		cursor: pointer;
		text-decoration: none;
		transition: all 400ms ease;
		z-index: 12;
		margin: 1rem 0 0;

		&:hover {
			color: #f7f8fb;
		}
	}
}

.center {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
}

.slide-fade-enter-active {
	z-index: 100;
	transition: all 0.2s ease;
}
.slide-fade-leave-active {
	z-index: 100;
	transition: all 0.4s cubic-bezier(1, 0.5, 0.8, 1);
}
.slide-fade-enter,
.slide-fade-leave-to {
	transform: translateX(10px);
	opacity: 0;
}
</style>
